import * as THREE from 'three';
export default {
  init: function init(props) {
    var fov = props.fov,
        aspect = props.aspect,
        near = props.near,
        far = props.far;
    var PerspectiveCamera = new THREE.PerspectiveCamera(fov, aspect, near, far);
    PerspectiveCamera.updateProperty = this.updateProperty;
    return PerspectiveCamera;
  },
  updateProperty: function updateProperty(key, value) {
    if (Object.hasOwnProperty.call(this, key)) {
      if (this[key] && this[key].set) {
        return this[key].set.apply(this[key], Object.values(value));
      }

      this[key] = value;
      return;
    }
  }
};