import * as THREE from 'three';
export default {
  init: function init(props) {
    var camera = props.camera;
    var OrbitControls = new THREE.OrbitControls(camera);
    OrbitControls.updateProperty = this.updateProperty;
    return OrbitControls;
  },
  updateProperty: function updateProperty(key, value) {
    if (Object.hasOwnProperty.call(this, key)) {
      if (this[key] && this[key].set) {
        return this[key].set.apply(this[key], Object.values(value));
      }

      this[key] = value;
      return;
    }
  }
};