import * as THREE from 'three';
export default {
  init: function init(props) {
    var BufferGeometry = new THREE.BufferGeometry();
    BufferGeometry.updateProperty = this.updateProperty;
    Object.keys(props).forEach(function (key) {
      var item = props[key];
      var array = item.array,
          itemSize = item.itemSize,
          normalized = item.normalized;
      var bufferAttribute = new THREE.BufferAttribute(array, itemSize, normalized);
      BufferGeometry.addAttribute(key, bufferAttribute);
    });
    BufferGeometry.computeBoundingSphere();
    return BufferGeometry;
  },
  updateProperty: function updateProperty(key, value) {
    if (Object.hasOwnProperty.call(this, key)) {
      if (this[key] && this[key].set) {
        return this[key].set.apply(this[key], Object.values(value));
      }

      this[key] = value;
      return;
    }
  }
};