import * as THREE from 'three';
var camera = null;
export default {
  init: function init(props) {
    var origin = props.origin,
        direction = props.direction,
        near = props.near,
        far = props.far;
    var Raycaster = new THREE.Raycaster(origin, direction, near, far);
    Raycaster.updateProperty = this.updateProperty;
    camera = props.camera;
    return Raycaster;
  },
  updateProperty: function updateProperty(key, value) {
    if (key === 'camera') {
      camera = value;
    }

    if (key === 'coords') {
      this.setFromCamera(value, camera);
    }
  }
};