import * as THREE from 'three';
export default {
  init: function init(props) {
    var width = props.width,
        height = props.height,
        depth = props.depth,
        widthSegments = props.widthSegments,
        heightSegments = props.heightSegments,
        depthSegments = props.depthSegments;
    var BoxGeometry = new THREE.BoxGeometry(width, height, depth, widthSegments, heightSegments, depthSegments);
    BoxGeometry.updateProperty = this.updateProperty;
    return BoxGeometry;
  },
  updateProperty: function updateProperty(key, value) {
    if (Object.hasOwnProperty.call(this, key)) {
      if (this[key] && this[key].set) {
        return this[key].set.apply(this[key], Object.values(value));
      }

      this[key] = value;
      return;
    }
  }
};