import * as THREE from 'three';
export default {
  init: function init(props) {
    var radius = props.radius,
        widthSegments = props.widthSegments,
        heightSegments = props.heightSegments,
        phiStart = props.phiStart,
        phiLength = props.phiLength,
        thetaStart = props.thetaStart,
        thetaLength = props.thetaLength;
    var SphereGeometry = new THREE.SphereGeometry(radius, widthSegments, heightSegments, phiStart, phiLength, thetaStart, thetaLength);
    SphereGeometry.updateProperty = this.updateProperty;
    return SphereGeometry;
  },
  updateProperty: function updateProperty(key, value) {
    if (Object.hasOwnProperty.call(this, key)) {
      if (this[key] && this[key].set) {
        return this[key].set.apply(this[key], Object.values(value));
      }

      this[key] = value;
      return;
    }
  }
};