import * as THREE from 'three';
export default {
  init: function init(props) {
    var color = props.color,
        intensity = props.intensity;
    var DirectionalLight = new THREE.DirectionalLight(color, intensity);
    DirectionalLight.updateProperty = this.updateProperty;
    return DirectionalLight;
  },
  updateProperty: function updateProperty(key, value) {
    if (Object.hasOwnProperty.call(this, key)) {
      if (this[key] && this[key].set) {
        return this[key].set.apply(this[key], Object.values(value));
      }

      this[key] = value;
      return;
    }
  }
};