import * as THREE from 'three';
export default {
  init: function init(props) {
    var PointsMaterial = new THREE.PointsMaterial(props);
    PointsMaterial.updateProperty = this.updateProperty;
    return PointsMaterial;
  },
  updateProperty: function updateProperty(key, value) {
    if (key === 'map') {
      var map = new THREE.TextureLoader().load(value.src);
      this.map = map;
      return;
    }

    if (Object.hasOwnProperty.call(this, key)) {
      if (this[key] && this[key].set) {
        return this[key].set.apply(this[key], Object.values(value));
      }

      this[key] = value;
      return;
    }
  }
};