"use strict";

exports.__esModule = true;
exports.default = void 0;

var THREE = _interopRequireWildcard(require("three"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var camera = null;
var _default = {
  init: function init(props) {
    var origin = props.origin,
        direction = props.direction,
        near = props.near,
        far = props.far;
    var Raycaster = new THREE.Raycaster(origin, direction, near, far);
    Raycaster.updateProperty = this.updateProperty;
    camera = props.camera;
    return Raycaster;
  },
  updateProperty: function updateProperty(key, value) {
    if (key === 'camera') {
      camera = value;
    }

    if (key === 'coords') {
      this.setFromCamera(value, camera);
    }
  }
};
exports.default = _default;