"use strict";

exports.__esModule = true;
exports.default = void 0;

var _PerspectiveCamera = _interopRequireDefault(require("./cameras/PerspectiveCamera"));

var _OrbitControls = _interopRequireDefault(require("./controls/OrbitControls"));

var _TrackballControls = _interopRequireDefault(require("./controls/TrackballControls"));

var _BufferGeometry = _interopRequireDefault(require("./core/BufferGeometry"));

var _Geometry = _interopRequireDefault(require("./core/Geometry"));

var _Object3D = _interopRequireDefault(require("./core/Object3D"));

var _Raycaster = _interopRequireDefault(require("./core/Raycaster"));

var _BoxGeometry = _interopRequireDefault(require("./geometries/BoxGeometry"));

var _CylinderGeometry = _interopRequireDefault(require("./geometries/CylinderGeometry"));

var _SphereGeometry = _interopRequireDefault(require("./geometries/SphereGeometry"));

var _AmbientLight = _interopRequireDefault(require("./lights/AmbientLight"));

var _DirectionalLight = _interopRequireDefault(require("./lights/DirectionalLight"));

var _LineBasicMaterial = _interopRequireDefault(require("./materials/LineBasicMaterial"));

var _LineDashedMaterial = _interopRequireDefault(require("./materials/LineDashedMaterial"));

var _MeshBasicMaterial = _interopRequireDefault(require("./materials/MeshBasicMaterial"));

var _MeshLambertMaterial = _interopRequireDefault(require("./materials/MeshLambertMaterial"));

var _MeshPhongMaterial = _interopRequireDefault(require("./materials/MeshPhongMaterial"));

var _PointsMaterial = _interopRequireDefault(require("./materials/PointsMaterial"));

var _Line = _interopRequireDefault(require("./objects/Line"));

var _Mesh = _interopRequireDefault(require("./objects/Mesh"));

var _Points = _interopRequireDefault(require("./objects/Points"));

var _Scene = _interopRequireDefault(require("./scenes/Scene"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  'perspective-camera': _PerspectiveCamera.default,
  'orbit-controls': _OrbitControls.default,
  'trackball-controls': _TrackballControls.default,
  'buffer-geometry': _BufferGeometry.default,
  'geometry': _Geometry.default,
  'object-3d': _Object3D.default,
  'raycaster': _Raycaster.default,
  'box-geometry': _BoxGeometry.default,
  'cylinder-geometry': _CylinderGeometry.default,
  'sphere-geometry': _SphereGeometry.default,
  'ambient-light': _AmbientLight.default,
  'directional-light': _DirectionalLight.default,
  'line-basic-material': _LineBasicMaterial.default,
  'line-dashed-material': _LineDashedMaterial.default,
  'mesh-basic-material': _MeshBasicMaterial.default,
  'mesh-lambert-material': _MeshLambertMaterial.default,
  'mesh-phong-material': _MeshPhongMaterial.default,
  'points-material': _PointsMaterial.default,
  'line': _Line.default,
  'mesh': _Mesh.default,
  'points': _Points.default,
  'scene': _Scene.default
};
exports.default = _default;